Index: logger.c
===================================================================
RCS file: /usr/cvsroot/asterisk/logger.c,v
retrieving revision 1.61
diff -u -r1.61 logger.c
--- logger.c	1 Apr 2005 16:09:21 -0000	1.61
+++ logger.c	1 Apr 2005 19:55:37 -0000
@@ -604,9 +604,23 @@
 	return;
 }
 
+static void strip_coloring(char *str)
+{
+	char *s, *s1;
+	
+	for(s = str; s && ((s = strchr(s, '\033')) != (char *)NULL); ) {
+		if((s[1] == '[') && ((s1 = strchr(s + 2, 'm')) != (char *)NULL)) {
+			strcpy(s, s1 + 1);
+			continue;
+		}
+		++s;
+	}
+}
+
 static void ast_log_vsyslog(int level, const char *file, int line, const char *function, const char *fmt, va_list args) 
 {
 	char buf[BUFSIZ];
+	char *s;
 
 	if (level >= SYSLOG_NLEVELS) {
 		/* we are locked here, so cannot ast_log() */
@@ -620,7 +634,8 @@
 		snprintf(buf, sizeof(buf), "%s[%ld]: %s:%d in %s: ",
 			levels[level], (long)GETTID(), file, line, function);
 	}
-	vsnprintf(buf+strlen(buf), sizeof(buf)-strlen(buf), fmt, args);
+	vsnprintf(s = buf+strlen(buf), sizeof(buf)-strlen(buf), fmt, args);
+	strip_coloring(s);
 	syslog(syslog_level_map[level], "%s", buf);
 }
 
@@ -715,6 +730,7 @@
 					va_start(ap, fmt);
 					vsnprintf(buf, sizeof(buf), fmt, ap);
 					va_end(ap);
+					strip_coloring(buf);
 					fputs(buf, chan->fileptr);
 					fflush(chan->fileptr);
 				}
